[arch-commits] Commit in qof/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Fri Apr 17 21:25:52 UTC 2009


    Date: Friday, April 17, 2009 @ 17:25:52
  Author: giovanni
Revision: 35862

Merged revisions 356,35802,35844 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/qof/trunk

........
  r356 | aaron | 2008-04-18 15:56:27 -0700 (ven, 18 apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35802 | douglas | 2009-04-17 04:07:04 -0700 (ven, 17 apr 2009) | 2 lines
  
  upgpkg: qof 0.7.5-1
      Updated for i686
........
  r35844 | douglas | 2009-04-17 12:51:42 -0700 (ven, 17 apr 2009) | 1 line
  
  Adding the forgotten patch - thanks eric
........

Added:
  qof/repos/extra-x86_64/qof-0.7.4-remove_spurious_CFLAGS.patch
    (from rev 35844, qof/trunk/qof-0.7.4-remove_spurious_CFLAGS.patch)
Modified:
  qof/repos/extra-x86_64/	(properties)
  qof/repos/extra-x86_64/PKGBUILD

----------------------------------------+
 PKGBUILD                               |   17 ++++-----
 qof-0.7.4-remove_spurious_CFLAGS.patch |   57 +++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+), 8 deletions(-)


Property changes on: qof/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /qof/trunk:1
   + /qof/trunk:1-35861

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-17 21:05:51 UTC (rev 35861)
+++ extra-x86_64/PKGBUILD	2009-04-17 21:25:52 UTC (rev 35862)
@@ -3,22 +3,23 @@
 # Contributor: William Rea <sillywilly at gmail.com>
 
 pkgname=qof
-pkgver=0.6.4
-pkgrel=2
+pkgver=0.7.5
+pkgrel=1
 pkgdesc="Provides a set of C Language utilities for performing generic structured complex queries"
 arch=('i686' 'x86_64')
 url="http://qof.sourceforge.net"
 license=('GPL')
-depends=('glib2' 'libxslt' 'libxml2>=2.5.10' 'libgda')
-makedepends=('perlxml')
-source=(http://downloads.sourceforge.net/qof/qof-$pkgver.tar.gz)
-md5sums=('555787c7ea06a3412ff9119fe4127886')
+depends=('glib2' 'libxml2>=2.5.10')
+source=(http://downloads.sourceforge.net/qof/qof-$pkgver.tar.gz
+        qof-0.7.4-remove_spurious_CFLAGS.patch)
 options=('!libtool')
 
 build() {
   cd $startdir/src/qof-$pkgver
-  sed -i 's/-Werror//' configure qof/test/Makefile.in || return 1
-  ./configure --prefix=/usr
+  patch -p0 < ../qof-0.7.4-remove_spurious_CFLAGS.patch
+  ./configure --prefix=/usr --disable-sqlite
   make || return 1
   make DESTDIR=$startdir/pkg install
 }
+md5sums=('91adad70f0a1da22f5e8c5cfd2b16f22'
+         '412ef7f3144a228c75f87beef38cbe4f')

Copied: qof/repos/extra-x86_64/qof-0.7.4-remove_spurious_CFLAGS.patch (from rev 35844, qof/trunk/qof-0.7.4-remove_spurious_CFLAGS.patch)
===================================================================
--- extra-x86_64/qof-0.7.4-remove_spurious_CFLAGS.patch	                        (rev 0)
+++ extra-x86_64/qof-0.7.4-remove_spurious_CFLAGS.patch	2009-04-17 21:25:52 UTC (rev 35862)
@@ -0,0 +1,57 @@
+--- configure.orig	2008-01-30 13:06:35.000000000 +0100
++++ configure	2008-01-30 13:06:45.000000000 +0100
+@@ -26894,18 +26894,18 @@
+ echo $ECHO_N "checking what extra warning flags to pass to the C compiler... $ECHO_C" >&6; }
+ if test ${GCC}x = yesx; then
+   warnFLAGS=
+-  CFLAGS="${CFLAGS} -g2 -Wall"
++  CFLAGS="${CFLAGS}"
+   # Check whether --enable-error-on-warning was given.
+ if test "${enable_error_on_warning+set}" = set; then
+   enableval=$enable_error_on_warning; case "${enableval}" in
+-        yes) warnFLAGS="${warnFLAGS} -Werror" ;;
++        yes) warnFLAGS="${warnFLAGS}" ;;
+         no)  ;;
+         *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-error-on-warning" >&5
+ echo "$as_me: error: bad value ${enableval} for --enable-error-on-warning" >&2;}
+    { (exit 1); exit 1; }; } ;;
+         esac
+ else
+-    warnFLAGS="${warnFLAGS} -Werror"
++    warnFLAGS="${warnFLAGS}"
+ fi
+ 
+   GCC_VERSION=`${CC} -dumpversion`
+@@ -26913,10 +26913,10 @@
+      # This is gcc >= 3.x.x
+      if test `echo ${GCC_VERSION} | cut -d. -f2` -ge 4; then
+         # This is gcc >= 3.4.x
+-        warnFLAGS="${warnFLAGS} -Wdeclaration-after-statement"
++        warnFLAGS="${warnFLAGS}"
+      else if test `echo ${GCC_VERSION} | cut -d. -f1` -ge 4; then
+         # This is gcc == 4.x.x
+-        warnFLAGS="${warnFLAGS} -Wdeclaration-after-statement -Wno-pointer-sign"
++        warnFLAGS="${warnFLAGS}"
+         fi
+      fi
+   fi
+@@ -26934,19 +26934,6 @@
+   enableval=$enable_compile_warnings; set_compile_warnings=yes
+ fi
+ 
+-
+-if test "$GCC" = "yes" -a "$set_compile_warnings" != "no"; then
+-        warnFLAGS="$warnFLAGS -Wcast-align -Wsign-compare \
+- -Wmissing-prototypes -Wmissing-declarations -Werror -Wmissing-include-dirs \
+- -Wstrict-prototypes -Winline -Wnested-externs -Wpointer-arith \
+- -Wmissing-field-initializers"
+-# LDFLAGS="$LDFLAGS -Wl,-z,defs"
+-fi
+-
+-
+-
+-
+-
+ DATADIR=`eval echo $datadir`
+ QSF_SCHEMA_DIR=`eval echo $DATADIR`"/xml/qof/qsf"
+ 




More information about the arch-commits mailing list